## AgsWahWahUtil

AgsWahWahUtil — Boxed type of wah_wah util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsWahWahUtil * | ags_wah_wah_util_alloc ()
gpointer | ags_wah_wah_util_copy ()
void | ags_wah_wah_util_free ()
gpointer | ags_wah_wah_util_get_destination ()
void | ags_wah_wah_util_set_destination ()
guint | ags_wah_wah_util_get_destination_stride ()
void | ags_wah_wah_util_set_destination_stride ()
gpointer | ags_wah_wah_util_get_source ()
void | ags_wah_wah_util_set_source ()
guint | ags_wah_wah_util_get_source_stride ()
void | ags_wah_wah_util_set_source_stride ()
guint | ags_wah_wah_util_get_buffer_length ()
void | ags_wah_wah_util_set_buffer_length ()
guint | ags_wah_wah_util_get_format ()
void | ags_wah_wah_util_set_format ()
gdouble | ags_wah_wah_util_get_volume ()
void | ags_wah_wah_util_set_volume ()
gdouble | ags_wah_wah_util_get_amount ()
void | ags_wah_wah_util_set_amount ()
gdouble | ags_wah_wah_util_get_wah_wah_lfo_depth ()
void | ags_wah_wah_util_set_wah_wah_lfo_depth ()
gdouble | ags_wah_wah_util_get_wah_wah_lfo_freq ()
void | ags_wah_wah_util_set_wah_wah_lfo_freq ()
gdouble | ags_wah_wah_util_get_wah_wah_tuning ()
void | ags_wah_wah_util_set_wah_wah_tuning ()
guint | ags_wah_wah_util_get_frame_count ()
void | ags_wah_wah_util_set_frame_count ()
guint | ags_wah_wah_util_get_offset ()
void | ags_wah_wah_util_set_offset ()
gboolean | ags_wah_wah_util_get_note_256th_mode ()
void | ags_wah_wah_util_set_note_256th_mode ()
guint | ags_wah_wah_util_get_offset_256th ()
void | ags_wah_wah_util_set_offset_256th ()
void | ags_wah_wah_util_compute_s8 ()
void | ags_wah_wah_util_compute_s16 ()
void | ags_wah_wah_util_compute_s24 ()
void | ags_wah_wah_util_compute_s32 ()
void | ags_wah_wah_util_compute_s64 ()
void | ags_wah_wah_util_compute_float ()
void | ags_wah_wah_util_compute_double ()
void | ags_wah_wah_util_compute_complex ()
void | ags_wah_wah_util_compute ()

## Types and Values

#define | AGS_WAH_WAH_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsWahWahUtil

## Includes

    #include <ags/audio/ags_wah_wah_util.h>

## Description

Boxed type of wah_wah util data type.

## Functions

### ags_wah_wah_util_alloc ()

    AgsWahWahUtil *
    ags_wah_wah_util_alloc ();

Allocate AgsWahWahUtil

#### Returns

a new AgsWahWahUtil

Since: 3.9.2

### ags_wah_wah_util_copy ()

    gpointer
    ags_wah_wah_util_copy (AgsWahWahUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsWahWahUtil |

#### Returns

a pointer of the new AgsWahWahUtil

Since: 3.9.2

### ags_wah_wah_util_free ()

    void
    ags_wah_wah_util_free (AgsWahWahUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_get_destination ()

    gpointer
    ags_wah_wah_util_get_destination (AgsWahWahUtil *wah_wah_util);

Get destination buffer of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the destination buffer

Since: 3.9.2

### ags_wah_wah_util_set_destination ()

    void
    ags_wah_wah_util_set_destination (AgsWahWahUtil *wah_wah_util,
                                      gpointer destination);

Set `destination` buffer of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
destination | the destination buffer |

Since: 3.9.2

### ags_wah_wah_util_get_destination_stride ()

    guint
    ags_wah_wah_util_get_destination_stride
                                   (AgsWahWahUtil *wah_wah_util);

Get destination stride of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the destination buffer stride

Since: 3.9.2

### ags_wah_wah_util_set_destination_stride ()

    void
    ags_wah_wah_util_set_destination_stride
                                   (AgsWahWahUtil *wah_wah_util,
                                    guint destination_stride);

Set `destination` stride of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
destination_stride | the destination buffer stride |

Since: 3.9.2

### ags_wah_wah_util_get_source ()

    gpointer
    ags_wah_wah_util_get_source (AgsWahWahUtil *wah_wah_util);

Get source buffer of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the source buffer

Since: 3.9.2

### ags_wah_wah_util_set_source ()

    void
    ags_wah_wah_util_set_source (AgsWahWahUtil *wah_wah_util,
                                 gpointer source);

Set `source` buffer of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
source | the source buffer |

Since: 3.9.2

### ags_wah_wah_util_get_source_stride ()

    guint
    ags_wah_wah_util_get_source_stride (AgsWahWahUtil *wah_wah_util);

Get source stride of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the source buffer stride

Since: 3.9.2

### ags_wah_wah_util_set_source_stride ()

    void
    ags_wah_wah_util_set_source_stride (AgsWahWahUtil *wah_wah_util,
                                        guint source_stride);

Set `source` stride of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
source_stride | the source buffer stride |

Since: 3.9.2

### ags_wah_wah_util_get_buffer_length ()

    guint
    ags_wah_wah_util_get_buffer_length (AgsWahWahUtil *wah_wah_util);

Get buffer length of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the buffer length

Since: 3.9.2

### ags_wah_wah_util_set_buffer_length ()

    void
    ags_wah_wah_util_set_buffer_length (AgsWahWahUtil *wah_wah_util,
                                        guint buffer_length);

Set `buffer_length` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
buffer_length | the buffer length |

Since: 3.9.2

### ags_wah_wah_util_get_format ()

    guint
    ags_wah_wah_util_get_format (AgsWahWahUtil *wah_wah_util);

Get format of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the format

Since: 3.9.6

### ags_wah_wah_util_set_format ()

    void
    ags_wah_wah_util_set_format (AgsWahWahUtil *wah_wah_util,
                                 guint format);

Set `format` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
format | the format |

Since: 3.9.6

### ags_wah_wah_util_get_volume ()

    gdouble
    ags_wah_wah_util_get_volume (AgsWahWahUtil *wah_wah_util);

Get volume of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the volume

Since: 3.9.2

### ags_wah_wah_util_set_volume ()

    void
    ags_wah_wah_util_set_volume (AgsWahWahUtil *wah_wah_util,
                                 gdouble volume);

Set `volume` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
volume | the volume |

Since: 3.9.2

### ags_wah_wah_util_get_amount ()

    gdouble
    ags_wah_wah_util_get_amount (AgsWahWahUtil *wah_wah_util);

Get amount of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the amount

Since: 3.9.2

### ags_wah_wah_util_set_amount ()

    void
    ags_wah_wah_util_set_amount (AgsWahWahUtil *wah_wah_util,
                                 gdouble amount);

Set `amount` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
amount | the amount |

Since: 3.9.2

### ags_wah_wah_util_get_wah_wah_lfo_depth ()

    gdouble
    ags_wah_wah_util_get_wah_wah_lfo_depth
                                   (AgsWahWahUtil *wah_wah_util);

Get wah-wah LFO depth of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the wah-wah LFO depth

Since: 5.3.2

### ags_wah_wah_util_set_wah_wah_lfo_depth ()

    void
    ags_wah_wah_util_set_wah_wah_lfo_depth
                                   (AgsWahWahUtil *wah_wah_util,
                                    gdouble wah_wah_lfo_depth);

Set `wah_wah_lfo_depth` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
wah_wah_lfo_depth | the wah-wah LFO depth |

Since: 5.3.2

### ags_wah_wah_util_get_wah_wah_lfo_freq ()

    gdouble
    ags_wah_wah_util_get_wah_wah_lfo_freq (AgsWahWahUtil *wah_wah_util);

Get wah-wah LFO freq of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the wah-wah LFO freq

Since: 5.3.2

### ags_wah_wah_util_set_wah_wah_lfo_freq ()

    void
    ags_wah_wah_util_set_wah_wah_lfo_freq (AgsWahWahUtil *wah_wah_util,
                                           gdouble wah_wah_lfo_freq);

Set `wah_wah_lfo_freq` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
wah_wah_lfo_freq | the wah-wah LFO freq |

Since: 5.3.2

### ags_wah_wah_util_get_wah_wah_tuning ()

    gdouble
    ags_wah_wah_util_get_wah_wah_tuning (AgsWahWahUtil *wah_wah_util);

Get wah-wah tuning of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the wah-wah tuning

Since: 5.3.2

### ags_wah_wah_util_set_wah_wah_tuning ()

    void
    ags_wah_wah_util_set_wah_wah_tuning (AgsWahWahUtil *wah_wah_util,
                                         gdouble wah_wah_tuning);

Set `wah_wah_tuning` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
wah_wah_tuning | the wah-wah tuning |

Since: 5.3.2

### ags_wah_wah_util_get_frame_count ()

    guint
    ags_wah_wah_util_get_frame_count (AgsWahWahUtil *wah_wah_util);

Get frame count of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the frame count

Since: 6.1.0

### ags_wah_wah_util_set_frame_count ()

    void
    ags_wah_wah_util_set_frame_count (AgsWahWahUtil *wah_wah_util,
                                      guint frame_count);

Set `frame_count` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
frame_count | the frame count |

Since: 6.1.0

### ags_wah_wah_util_get_offset ()

    guint
    ags_wah_wah_util_get_offset (AgsWahWahUtil *wah_wah_util);

Get offset of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the offset

Since: 6.1.0

### ags_wah_wah_util_set_offset ()

    void
    ags_wah_wah_util_set_offset (AgsWahWahUtil *wah_wah_util,
                                 guint offset);

Set `offset` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
offset | the offset |

Since: 6.1.0

### ags_wah_wah_util_get_note_256th_mode ()

    gboolean
    ags_wah_wah_util_get_note_256th_mode (AgsWahWahUtil *wah_wah_util);

Get note 256th mode of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_wah_wah_util_set_note_256th_mode ()

    void
    ags_wah_wah_util_set_note_256th_mode (AgsWahWahUtil *wah_wah_util,
                                          gboolean note_256th_mode);

Set `note_256th_mode` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_wah_wah_util_get_offset_256th ()

    guint
    ags_wah_wah_util_get_offset_256th (AgsWahWahUtil *wah_wah_util);

Get offset as note 256th of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_wah_wah_util_set_offset_256th ()

    void
    ags_wah_wah_util_set_offset_256th (AgsWahWahUtil *wah_wah_util,
                                       guint offset_256th);

Set `offset_256th` of `wah_wah_util` .

#### Parameters

wah_wah_util | the AgsWahWahUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_wah_wah_util_compute_s8 ()

    void
    ags_wah_wah_util_compute_s8 (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of signed 8 bit data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_s16 ()

    void
    ags_wah_wah_util_compute_s16 (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of signed 16 bit data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_s24 ()

    void
    ags_wah_wah_util_compute_s24 (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of signed 24 bit data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_s32 ()

    void
    ags_wah_wah_util_compute_s32 (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of signed 32 bit data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_s64 ()

    void
    ags_wah_wah_util_compute_s64 (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of signed 64 bit data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_float ()

    void
    ags_wah_wah_util_compute_float (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of floating point data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_double ()

    void
    ags_wah_wah_util_compute_double (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of double floating point data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute_complex ()

    void
    ags_wah_wah_util_compute_complex (AgsWahWahUtil *wah_wah_util);

Compute wah_wah of complex floating point data.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

### ags_wah_wah_util_compute ()

    void
    ags_wah_wah_util_compute (AgsWahWahUtil *wah_wah_util);

Compute wah_wah.

#### Parameters

wah_wah_util | the AgsWahWahUtil |

Since: 3.9.2

## Types and Values

### AGS_WAH_WAH_UTIL_INITIALIZER

    #define             AGS_WAH_WAH_UTIL_INITIALIZER